"""removed id from form_details

Revision ID: ebf2da213dea
Revises: 239b77ca73fa
Create Date: 2022-03-04 13:38:13.109458+01:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "ebf2da213dea"
down_revision = "239b77ca73fa"
branch_labels = None
depends_on = None


def upgrade():
    """Upgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("ix_form_details_id", table_name="form_details")
    op.drop_column("form_details", "id")

    # ### end Alembic commands ###


def downgrade():
    """Downgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "form_details",
        sa.Column("id", postgresql.UUID(), autoincrement=False, nullable=True),
    )
    op.create_index("ix_form_details_id", "form_details", ["id"], unique=False)
    # ### end Alembic commands ###
